Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036500
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformtrivialhave not tried2017-07-15 18:022017-09-22 10:19
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision240a04854e79
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036500: Cleanup org.openbravo.scheduling xsql files to remove unused parts

DescriptionThose xsql files fetch several extra columns in their queries which are never used.
To cleanup those + to avoid text-references to unused columns those should be removed
Steps To ReproduceCompare users of those non-public xsql files with list of columns in the queries.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0032688 acknowledgedplatform remove unused resources 

-  Notes
(0099441)
hgbot (developer)
2017-09-21 23:11

Repository: erp/devel/pi
Changeset: 240a04854e796cabb14406af2b0d93be3c2b6bbc
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Fri Sep 15 17:04:44 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/240a04854e796cabb14406af2b0d93be3c2b6bbc [^]

Fixed 36500. Cleanup non-public xsql files to removed unused parts.

Those files fetch several columns which are never used by their callers.

---
M src/org/openbravo/scheduling/Pinstance_data.xsql
M src/org/openbravo/scheduling/ProcessRequest_data.xsql
M src/org/openbravo/scheduling/Process_data.xsql
---
(0099469)
alostale (developer)
2017-09-22 10:19

reviewed

- Issue History
Date Modified Username Field Change
2017-07-15 18:02 shuehner New Issue
2017-07-15 18:02 shuehner Assigned To => shuehner
2017-07-15 18:02 shuehner Modules => Core
2017-07-15 18:02 shuehner Triggers an Emergency Pack => No
2017-07-15 18:29 shuehner Relationship added blocks 0032688
2017-09-21 23:11 hgbot Checkin
2017-09-21 23:11 hgbot Note Added: 0099441
2017-09-21 23:11 hgbot Status new => resolved
2017-09-21 23:11 hgbot Resolution open => fixed
2017-09-21 23:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/240a04854e796cabb14406af2b0d93be3c2b6bbc [^]
2017-09-21 23:13 shuehner Review Assigned To => alostale
2017-09-21 23:13 shuehner Fixed in Version => 3.0PR17Q4
2017-09-22 10:19 alostale Note Added: 0099469
2017-09-22 10:19 alostale Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker